#4385 Un-used Modules: Please provide more information

1.670
closed-fixed
nobody
None
5
2014-03-08
2014-03-05
rocking-bear
No

Please provide better information in the "Un-used Modules" view.

By example:
"MON Service Monitor

The MON configuration file /etc/mon/mon.cf was not found on your system. Maybe MON is not installed, or your module configuration is incorrect."

I had no idea what MON is and why it would want it. So I did "yum search mon" on my Fedora 20 which states: "mon.x86_64 : General-purpose resource monitoring system" which seems to be important but is not installed on my dedicated server.

So how to install it?
Some Un-used Modules provide a call to "yum install" but in this case I have to install it on the console via ssh. Would be nice to have it in this case also.

Discussion

  • rocking-bear
    rocking-bear
    2014-03-05

    BTW: It would also be nice to have the following functions in "Configuration
    For module MON Service Monitor"

    1. Detection of the init-system:
      [root@ns3337690 /]# whereis init
      init: /usr/sbin/init /etc/init.d /usr/share/man/man1/init.1.gz
      [root@ns3337690 /]# ls -al /usr/sbin |grep init
      lrwxrwxrwx. 1 root root 22 Feb 26 21:04 init -> ../lib/systemd/systemd
      lrwxrwxrwx. 1 root root 16 Feb 26 21:04 telinit -> ../bin/systemctl

    2. Find the needed paths:
      [root@ns3337690 /]# find / -name monshow
      /usr/bin/monshow

     
  • rocking-bear
    rocking-bear
    2014-03-05

    BTW: After configuring the MON module and doing "refresh modules" and "Restart Webmin" the module is still under "Un-used Modules" and not under "System" as it should be.

    As last try I did "Reassign Modules", first under "Others" than under "System" which did it.

     
    Last edit: rocking-bear 2014-03-05
  • Jamie Cameron
    Jamie Cameron
    2014-03-05

    The default paths used by the Mon module should match those in your distributions package for the module, meaning that no auto-configuration or detection is needed. Were they actually wrong in your case?

     
  • rocking-bear
    rocking-bear
    2014-03-06

    At least not fully correct. On Fedora 20 /var/run is only a link to /run, so /var/run/mon.pid would be better /run/mon.pid. And might be start/stop was also to change but how to doublecheck this after installation? Would it help to uninstall MON on my server to let the module start from the beginning?

    It would be nice if there are checkmarks (set/unset) in the Module config so the user knows the system got it right and had checked it.

     
    Last edit: rocking-bear 2014-03-06
  • Jamie Cameron
    Jamie Cameron
    2014-03-06

    So it sounds like the main problems is with the start/stop scripts. I assume that on Fedora 20, the file /etc/init.d/mon doesn't exist?

     
  • rocking-bear
    rocking-bear
    2014-03-06

    I hope the following shows the situation on Fedora 20 and makes it understandable to you. If you have further questions, please don't hesitate to ask, I will be glad to assist:

    [root@ns3337690 ~]# ls -al /etc/init.d
    lrwxrwxrwx. 1 root root 11 Dec 17 13:03 /etc/init.d -> rc.d/init.d

    [root@ns3337690 ~]# ls -al /etc/init.d/
    total 60
    drwxr-xr-x. 2 root root 4096 Mar 5 23:18 .
    drwxr-xr-x. 10 root root 4096 Jan 14 14:08 ..
    -rwxr-xr-x. 1 root root 3560 Feb 25 16:55 elasticsearch
    -rw-r--r--. 1 root root 13430 Jan 14 13:34 functions
    -rwxr-xr-x. 1 root root 2989 Jan 14 13:34 netconsole
    -rwxr-xr-x. 1 root root 6754 Jan 14 13:34 network
    -rw-r--r--. 1 root root 1160 Feb 17 15:31 README
    -rwxr-xr-x. 1 root root 6933 Aug 3 2013 slpd
    -rwxr-xr-x. 1 root root 1528 Mar 5 23:14 ulogd
    -rwxr-xr-x. 1 root root 1314 Jan 12 07:40 webmin

    [root@ns3337690 ~]# find / -name mon.service
    /usr/lib/systemd/system/mon.service
    /sys/fs/cgroup/systemd/system.slice/mon.service
    /etc/systemd/system/multi-user.target.wants/mon.service

     
  • Jamie Cameron
    Jamie Cameron
    2014-03-08

    Thanks - I will have Webmin use those init scripts on Fedora in the next release.

    Actually, you can have it use them right now by changing the start, stop and restart commands on the Module Config page to "service mon start", "service mon stop", and "service mon restart" respectively.

     
  • Jamie Cameron
    Jamie Cameron
    2014-03-08

    • status: open --> closed-fixed